Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixels_are_compatible Struct Template Reference
[Algorithms and Utility Functions]

`#include <gil_concept.hpp>`

## Detailed Description

### template<typename P1, typename P2>
struct boost::gil::pixels_are_compatible< P1, P2 >

Returns whether two pixels are compatible.

Pixels are compatible if their channels and color space types are compatible. Compatible pixels can be assigned and copy constructed from one another.

The documentation for this struct was generated from the following file:

- gil_concept.hpp